Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.contrib.view
Class SVTableCellEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          org.apache.poi.hssf.contrib.view.SVTableCellEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, javax.swing.CellEditor, java.util.EventListener, java.io.Serializable, javax.swing.table.TableCellEditor

public class SVTableCellEditor
extends javax.swing.AbstractCellEditor
implements javax.swing.table.TableCellEditor, java.awt.event.ActionListener

Sheet Viewer Table Cell Editor -- not commented via javadoc as it nearly completely consists of overridden methods.

Author:
  Jason Height
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`SVTableCellEditor(HSSFWorkbook wb)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `cancelCellEditing()`
`java.lang.Object` | `getCellEditorValue()` Gets the cellEditorValue attribute of the SVTableCellEditor object
`java.awt.Component` | `getTableCellEditorComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, int row, int column)` Gets the tableCellEditorComponent attribute of the SVTableCellEditor object
`boolean` | `isCellEditable(java.util.EventObject e)` Gets the cellEditable attribute of the SVTableCellEditor object
`boolean` | `shouldSelectCell(java.util.EventObject anEvent)`
`boolean` | `startCellEditing(java.util.EventObject anEvent)`
`boolean` | `stopCellEditing()`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Constructor Detail

### SVTableCellEditor

    public SVTableCellEditor(HSSFWorkbook wb)

Method Detail

### isCellEditable

    public boolean isCellEditable(java.util.EventObject e)

  Gets the cellEditable attribute of the SVTableCellEditor object

  Specified by:
    `isCellEditable` in interface `javax.swing.CellEditor`
  Returns:
    The cellEditable value

### shouldSelectCell

    public boolean shouldSelectCell(java.util.EventObject anEvent)

  Specified by:
    `shouldSelectCell` in interface `javax.swing.CellEditor`

### startCellEditing

    public boolean startCellEditing(java.util.EventObject anEvent)

### stopCellEditing

    public boolean stopCellEditing()

  Specified by:
    `stopCellEditing` in interface `javax.swing.CellEditor`

### cancelCellEditing

    public void cancelCellEditing()

  Specified by:
    `cancelCellEditing` in interface `javax.swing.CellEditor`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### getCellEditorValue

    public java.lang.Object getCellEditorValue()

  Gets the cellEditorValue attribute of the SVTableCellEditor object

  Specified by:
    `getCellEditorValue` in interface `javax.swing.CellEditor`
  Returns:
    The cellEditorValue value

### getTableCellEditorComponent

    public java.awt.Component getTableCellEditorComponent(javax.swing.JTable table,
                                                          java.lang.Object value,
                                                          boolean isSelected,
                                                          int row,
                                                          int column)

  Gets the tableCellEditorComponent attribute of the SVTableCellEditor object

  Specified by:
    `getTableCellEditorComponent` in interface `javax.swing.table.TableCellEditor`
  Returns:
    The tableCellEditorComponent value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.